%define		plugin	check_libs
%include	/usr/lib/rpm/macros.perl
Summary:	Nagios plugin to check inexistent libraries in running processes
Name:		nagios-plugin-%{plugin}
Version:	0.2012042101
Release:	1
License:	BSD
Group:		Networking
# https://www.palfrader.org/gitweb/?p=tools/monitoring.git;a=blob_plain;f=nagios-checks/nagios-check-libs;hb=HEAD
Source0:	nagios-check-libs
Source1:	nagios-check-libs.conf
Source2:	%{plugin}.cfg
URL:		https://www.palfrader.org/gitweb/?p=tools/monitoring.git
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRequires:	rpmbuild(macros) >= 1.654
BuildRequires:	sed >= 4.0
Requires:	lsof
Requires:	perl-YAML-Syck >= 0.97
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_sysconfdir	/etc/nagios/plugins
%define		plugindir	%{_prefix}/lib/nagios/plugins

%description
Nagios plugin to report the usage of no longer existing libraries by
running processes.

%prep
%setup -qcT
cp -p %{SOURCE0} %{plugin}.pl
cp -p %{SOURCE1} %{plugin}.conf

%{__sed} -i -e '
	s,/etc/nagios/check-libs.conf,%{_sysconfdir}/%{plugin}.conf,
	s,libyaml-syck-perl,perl-YAML-Syck,
' %{plugin}.pl

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sysconfdir},%{plugindir}}
install -p %{plugin}.pl $RPM_BUILD_ROOT%{plugindir}/%{plugin}
cp -p %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/%{plugin}.conf
cp -p %{SOURCE2} $RPM_BUILD_ROOT%{_sysconfdir}/%{plugin}.cfg

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%attr(640,root,nagios) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/%{plugin}.cfg
%attr(640,root,nagios) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/%{plugin}.conf
%attr(755,root,root) %{plugindir}/%{plugin}
%changelog
* Tue Dec 02 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/nagios-plugin-check_libs.git;a=log;h=master

* Tue Dec 02 2014 Elan Ruusamäe <glen@delfi.ee> e151b7b
- updated homepage url

* Tue Dec 02 2014 Elan Ruusamäe <glen@delfi.ee> 31180a9
- update

* Tue Dec 02 2014 Elan Ruusamäe <glen@delfi.ee> 21fbbeb
- add plugin to pld git. as upstream no longer exists

* Mon Feb 03 2014 Elan Ruusamäe <glen@delfi.ee> 3abfd1a
- exclude php/apache stuff

* Mon Feb 03 2014 Elan Ruusamäe <glen@delfi.ee> ecf77d5
- keep config in pld git

* Mon Feb 03 2014 Elan Ruusamäe <glen@delfi.ee> 4868968
- rel 2

* Mon Jan 27 2014 Elan Ruusamäe <glen@delfi.ee> 92782a3
- current packaging always requires perl-YAML-Syck

* Mon Jan 27 2014 Elan Ruusamäe <glen@delfi.ee> 51f9683
- minimum YAML::Syck version that can load GLOB

* Mon Jan 27 2014 Elan Ruusamäe <glen@delfi.ee> f1a92d4
- update perl package name for pld

* Sun Jan 26 2014 Elan Ruusamäe <glen@delfi.ee> a8f7aad
- new, svn rev520 (Sat, 21 Apr 2012)

